/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rsfpl_InitAttributes(ViSession instrSession);

ViStatus rsfpl_DefaultInstrSetup(ViSession instrSession);

ViStatus rsfpl_CheckStatus(ViSession instrSession);

ViStatus rsfpl_dataReadTrace(ViSession instrSession,
	ViInt32   window,
	ViString  trace,
	ViInt32   arrayLength,
	ViReal64  traceData[],
	ViPInt32  noofPoints);

ViStatus _VI_FUNC rsfpl_dataReadInterleaved(ViSession instrSession,
	ViString  cmd,
	ViInt32   timeout,
	ViInt32   arraySize,
	ViReal64  arrayA[],
	ViReal64  arrayB[],
	ViPInt32  actualPoints);

ViStatus rsfpl_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[]);